curl --request GET \
--url https://{defaultHost}/v1/swaps/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/swaps/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/swaps/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "55ed5156-d235-4620-a9b7-a38ec0f085e1",
"object": "swap",
"archived": false,
"archived_at": null,
"description": "Swap this price for another",
"metadata": {},
"price": "486315d2-48b9-41bd-b37f-1871c8e59188",
"swap_price": "c066610a-3b3f-404d-a39b-9a6802bfed64",
"discarded_at": null,
"created_at": 1787228505,
"updated_at": 1787228505
}Retrieve
Retrieves details of a specific swap.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Success
The UUID of the specific object.
A string describing the object type returned.
Whether or not this swap is archived.
A description of this swap. This text will be visibile to customers in the checkout summary when offered the swap.
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
Time at which the object was archived. Measured in seconds since the Unix epoch.
Expandable – The associated price ID.
Expandable – The associated price ID.
Time at which the object was discarded. Measured in seconds since the Unix epoch.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?